<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginHorizontal="@dimen/dp_8"
    android:background="@drawable/shape16_gray_color_bg"
    android:paddingHorizontal="@dimen/dp_16"
    android:paddingTop="@dimen/dp_20"
    android:paddingBottom="@dimen/dp_18">

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_show_map_type_list"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/ll_map_type_display_fences_switch"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/rv_show_map_type_list"
        android:layout_marginTop="@dimen/dp_28"
        android:background="@drawable/shape8_gray_border_transparent_bg"
        android:gravity="center_vertical"
        android:minHeight="@dimen/dp_47"
        android:orientation="horizontal"
        android:paddingHorizontal="@dimen/dp_16">

        <com.abbidot.tracker.widget.TypefaceTextView
            style="@style/my_TextView_style_v2"
            android:layout_weight="1"
            android:gravity="start"
            android:text="@string/txt_display_fences"
            android:textSize="@dimen/textSize14"
            app:typeface="@string/roboto_bold_font" />

        <androidx.appcompat.widget.AppCompatCheckBox
            android:id="@+id/cb_dialog_map_fences_switch"
            style="@style/my_checkbox_switch_style"
            android:layout_width="@dimen/dp_47"
            android:checked="true" />
    </androidx.appcompat.widget.LinearLayoutCompat>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/ll_map_type_show_accuracy_switch"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/ll_map_type_display_fences_switch"
        android:layout_marginTop="@dimen/dp_8"
        android:background="@drawable/shape8_gray_border_transparent_bg"
        android:gravity="center_vertical"
        android:minHeight="@dimen/dp_47"
        android:visibility="gone"
        android:orientation="horizontal"
        android:paddingHorizontal="@dimen/dp_16">

        <com.abbidot.tracker.widget.TypefaceTextView
            style="@style/my_TextView_style_v2"
            android:layout_weight="1"
            android:gravity="start"
            android:text="@string/txt_show_accuracy"
            android:textSize="@dimen/textSize14"
            app:typeface="@string/roboto_bold_font" />

        <androidx.appcompat.widget.AppCompatCheckBox
            style="@style/my_checkbox_switch_style"
            android:layout_width="@dimen/dp_47" />
    </androidx.appcompat.widget.LinearLayoutCompat>
</RelativeLayout>